﻿Imports ThinkGeo.MapSuite.DesktopEdition

Public Class CustomTrackInteractiveOverlay : Inherits TrackInteractiveOverlay
  Private _isTracking As Boolean = False

  Public Sub New()
    MyBase.New()
  End Sub

  Public ReadOnly Property IsTracking As Boolean
    Get
      Return _isTracking
    End Get
  End Property

  Public Shadows Sub EndTracking()
    MyBase.EndTracking()
  End Sub

  Protected Overrides Sub OnTrackStarted(ByVal e As ThinkGeo.MapSuite.DesktopEdition.TrackStartedTrackInteractiveOverlayEventArgs)
    InteractiveClickInterval = 400
    _isTracking = True
    MyBase.OnTrackStarted(e)
  End Sub

  Protected Overrides Sub OnTrackEnded(ByVal e As ThinkGeo.MapSuite.DesktopEdition.TrackEndedTrackInteractiveOverlayEventArgs)
    InteractiveClickInterval = 1
    _isTracking = False
    MyBase.OnTrackEnded(e)
  End Sub
End Class
